Create a Fleet Server host

Base URL
https://{kibana_url}
  • POST /api/fleet/fleet_server_hosts
  • POST /s/{space_id}/api/fleet/fleet_server_hosts
Auth

Create a new Fleet Server host.

Required authorization

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string · min length: 0
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_id string · min length: 0 nullable
secrets object
ssl object
agent_key union anyOf
Any of:
id string · min length: 0 required
es_key union anyOf
Any of:
id string · min length: 0 required
key union anyOf
Any of:
id string · min length: 0 required
ssl object nullable
agent_certificate string
agent_certificate_authorities string[] · max items: 10
agent_key string
certificate string
certificate_authorities string[] · max items: 10
client_auth enum
Values: optional required none
es_certificate string
es_certificate_authorities string[] · max items: 10
es_key string
key string

Responses

Successful response

application/json
item object required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string · min length: 0 required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_id string · min length: 0 nullable
secrets object
ssl object
agent_key union anyOf
Any of:
id string · min length: 0 required
es_key union anyOf
Any of:
id string · min length: 0 required
key union anyOf
Any of:
id string · min length: 0 required
ssl object nullable
agent_certificate string
agent_certificate_authorities string[] · max items: 10
agent_key string
certificate string
certificate_authorities string[] · max items: 10
client_auth enum
Values: optional required none
es_certificate string
es_certificate_authorities string[] · max items: 10
es_key string
key string

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}